Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1689522 - katello-tracer-upload: command not found on rhel8 clients
Summary: katello-tracer-upload: command not found on rhel8 clients
Keywords:
Status: VERIFIED
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: katello-tracer
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.5.0
Assignee: Evgeni Golov
QA Contact: Nikhil Kathole
URL:
Whiteboard:
: 1692298 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-16 12:31 UTC by Nikhil Kathole
Modified: 2019-04-10 12:21 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26440 None None None 2019-03-25 11:57:35 UTC

Description Nikhil Kathole 2019-03-16 12:31:41 UTC
Description of problem:

Katello-tracer feature wont work with rhel8 clients.

katello-tracer-upload: command not found.


Version-Release number of selected component (if applicable):
Satellite 6.5 snap 20


How reproducible: always


Steps to Reproduce:
1. Register rhel8 client with satellite
2.# yum -y install katello-host-tools-tracer
Updating Subscription Management repositories.
sat6tool8                                                                                                          11 kB/s | 2.1 kB     00:00    
Dependencies resolved.
==================================================================================================================================================
 Package                              Arch              Version                        Repository                                            Size
==================================================================================================================================================
Installing:
 katello-host-tools-tracer            noarch            3.4.2-2.el8sat                 Default_Organization_Sat6Tools8_sat6tool8             21 k
Installing dependencies:
 python3-lxml                         x86_64            4.2.3-1.el8                    appstream                                            1.5 M
 python3-webencodings                 noarch            0.5.1-6.el8                    appstream                                             27 k
 python3-tracer                       noarch            0.7.1-2.el8sat                 Default_Organization_Sat6Tools8_sat6tool8            115 k
 python3-future                       noarch            0.16.0-11.el8sat               Default_Organization_Sat6Tools8_sat6tool8            784 k
 python3-psutil                       x86_64            5.0.1-3.el8sat                 Default_Organization_Sat6Tools8_sat6tool8            289 k
 python3-beautifulsoup4               noarch            4.6.3-2.el8sat                 Default_Organization_Sat6Tools8_sat6tool8            185 k
 tracer-common                        noarch            0.7.1-2.el8sat                 Default_Organization_Sat6Tools8_sat6tool8             31 k
Installing weak dependencies:
 python3-html5lib                     noarch            1:0.999999999-6.el8            appstream                                            214 k

Transaction Summary
==================================================================================================================================================
Install  9 Packages

Total download size: 3.1 M
Installed size: 12 M
Downloading Packages:
(1/9): python3-webencodings-0.5.1-6.el8.noarch.rpm                                                                 26 kB/s |  27 kB     00:01    
(2/9): python3-tracer-0.7.1-2.el8sat.noarch.rpm                                                                   361 kB/s | 115 kB     00:00    
(3/9): python3-future-0.16.0-11.el8sat.noarch.rpm                                                                 2.1 MB/s | 784 kB     00:00    
(4/9): python3-psutil-5.0.1-3.el8sat.x86_64.rpm                                                                   893 kB/s | 289 kB     00:00    
(5/9): python3-beautifulsoup4-4.6.3-2.el8sat.noarch.rpm                                                           578 kB/s | 185 kB     00:00    
(6/9): tracer-common-0.7.1-2.el8sat.noarch.rpm                                                                     92 kB/s |  31 kB     00:00    
(7/9): python3-html5lib-0.999999999-6.el8.noarch.rpm                                                               80 kB/s | 214 kB     00:02    
(8/9): katello-host-tools-tracer-3.4.2-2.el8sat.noarch.rpm                                                         65 kB/s |  21 kB     00:00    
(9/9): python3-lxml-4.2.3-1.el8.x86_64.rpm                                                                        287 kB/s | 1.5 MB     00:05    
--------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                             597 kB/s | 3.1 MB     00:05     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                          1/1 
  Installing       : tracer-common-0.7.1-2.el8sat.noarch                                                                                      1/9 
  Installing       : python3-psutil-5.0.1-3.el8sat.x86_64                                                                                     2/9 
  Installing       : python3-future-0.16.0-11.el8sat.noarch                                                                                   3/9 
  Installing       : python3-webencodings-0.5.1-6.el8.noarch                                                                                  4/9 
  Installing       : python3-html5lib-1:0.999999999-6.el8.noarch                                                                              5/9 
  Installing       : python3-beautifulsoup4-4.6.3-2.el8sat.noarch                                                                             6/9 
  Installing       : python3-lxml-4.2.3-1.el8.x86_64                                                                                          7/9 
  Installing       : python3-tracer-0.7.1-2.el8sat.noarch                                                                                     8/9 
  Installing       : katello-host-tools-tracer-3.4.2-2.el8sat.noarch                                                                          9/9 
  Running scriptlet: katello-host-tools-tracer-3.4.2-2.el8sat.noarch                                                                          9/9 
  Verifying        : python3-html5lib-1:0.999999999-6.el8.noarch                                                                              1/9 
  Verifying        : python3-lxml-4.2.3-1.el8.x86_64                                                                                          2/9 
  Verifying        : python3-webencodings-0.5.1-6.el8.noarch                                                                                  3/9 
  Verifying        : python3-tracer-0.7.1-2.el8sat.noarch                                                                                     4/9 
  Verifying        : python3-future-0.16.0-11.el8sat.noarch                                                                                   5/9 
  Verifying        : python3-psutil-5.0.1-3.el8sat.x86_64                                                                                     6/9 
  Verifying        : python3-beautifulsoup4-4.6.3-2.el8sat.noarch                                                                             7/9 
  Verifying        : tracer-common-0.7.1-2.el8sat.noarch                                                                                      8/9 
  Verifying        : katello-host-tools-tracer-3.4.2-2.el8sat.noarch                                                                          9/9 
Installed products updated.

Installed:
  katello-host-tools-tracer-3.4.2-2.el8sat.noarch     python3-html5lib-1:0.999999999-6.el8.noarch      python3-lxml-4.2.3-1.el8.x86_64           
  python3-webencodings-0.5.1-6.el8.noarch             python3-tracer-0.7.1-2.el8sat.noarch             python3-future-0.16.0-11.el8sat.noarch    
  python3-psutil-5.0.1-3.el8sat.x86_64                python3-beautifulsoup4-4.6.3-2.el8sat.noarch     tracer-common-0.7.1-2.el8sat.noarch       

Complete!

3. Navigate to host - > content hosts
4. Select rhel8 content host and navigate to traces tab
5. Select any application with helper can be restarted
6. Click on "Restart selected"

Actual results:
Job failed with error

/var/tmp/foreman-ssh-cmd-42b4e6b4-c493-4899-80ff-32b6ea2abc7a/script: line 2: katello-tracer-upload: command not found
Exit status: 127


Expected results: Job should successful.


Additional info:

Comment 3 Evgeni Golov 2019-03-21 08:51:24 UTC
On DNF-based systems (Fedora, EL8), the command to run is `dnf katello-tracer-upload` (or `yum katello-tracer-upload`).

However it seems our job templates and also /etc/cron.d/katello-host-tools do not know this difference.

The easiest fix is to add compat wrappers for that, so that katello-tracer-upload (and katello-package-upload, katello-enabled-repos-upload) work identically.

Jonathon, what do you think?

Comment 4 Jonathon Turel 2019-03-21 13:23:12 UTC
I didn't realize anything was actually depending on those. I think it's a fine idea to have some wrappers!

Comment 5 Evgeni Golov 2019-03-25 11:57:34 UTC
Created redmine issue https://projects.theforeman.org/issues/26440 from this bug

Comment 6 Evgeni Golov 2019-03-25 12:43:02 UTC
*** Bug 1692298 has been marked as a duplicate of this bug. ***

Comment 7 Bryan Kearney 2019-03-25 20:02:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26440 has been resolved.

Comment 8 Nikhil Kathole 2019-04-10 12:21:17 UTC
VERIFIED

Version tested:
Satellite 6.5 snap 23

Job is successful for restarting service.


Note You need to log in before you can comment on or make changes to this bug.